import javax.servlet.*;
import javax.servlet.http.*;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.*;

//use this version for JSWDK 1.0 and above

public class ChartRequest implements HttpServletRequest {

	HttpServletRequest r;
	Hashtable table = new Hashtable();

	public ChartRequest(HttpServletRequest r){
		this.r = r;
	}
	public void clearTable(){
		table = new Hashtable();
	}
	public Object getAttribute(String name){
		return r.getAttribute(name);
	}
	public String getAuthType(){
		return r.getAuthType();
	}
	public String getCharacterEncoding(){
		return r.getCharacterEncoding();
	}
	public int getContentLength(){
		return r.getContentLength();
	}
	public String getContentType(){
		return r.getContentType();
	}
	public Cookie[] getCookies(){
		return r.getCookies();
	}
	public long getDateHeader(String name){
		return r.getDateHeader(name);
	}
	public String getHeader(String name){
		return r.getHeader(name);
	}
	public Enumeration getHeaderNames(){
		return r.getHeaderNames();
	}
	public ServletInputStream getInputStream() throws IOException {
		return r.getInputStream();
	}
	public int getIntHeader(String name){
		return r.getIntHeader(name);
	}
	public String getMethod(){
		return r.getMethod();
	}
	public String getParameter(String name){
		return (String)(table.get(name));
	}
	public Enumeration getParameterNames(){
		//return r.getParameterNames();
		return table.elements();
	}
	public String[] getParameterValues(String name){
		return r.getParameterValues(name);
	}
	public String getPathInfo(){
		return r.getPathInfo();
	}
	public String getPathTranslated(){
		return r.getPathTranslated();
	}
	public String getProtocol(){
		return r.getProtocol();
	}
	public String getQueryString(){
		return r.getQueryString();
	}
	public BufferedReader getReader () throws IOException {
		return r.getReader();
	}
	public String getRealPath(String path){
		return r.getRealPath(path);
	}
	public String getRemoteAddr(){
		return r.getRemoteAddr();
	}
	public String getRemoteHost(){
		return r.getRemoteHost();
	}
	public String getRemoteUser(){
		return r.getRemoteUser();
	}
	public String getRequestedSessionId (){
		return r.getRequestedSessionId();
	}
	public String getRequestURI(){
		return r.getRequestURI();
	}
	public String getScheme(){
		return r.getScheme();
	}
	public String getServerName(){
		return r.getServerName();
	}
	public int getServerPort(){
		return r.getServerPort();
	}
	public String getServletPath(){
		return r.getServletPath();
	}
	public HttpSession getSession (boolean create){
		return r.getSession(create);
	}
	public boolean isRequestedSessionIdFromCookie (){
		return r.isRequestedSessionIdFromCookie();
	}
	public boolean isRequestedSessionIdFromUrl (){
		return r.isRequestedSessionIdFromUrl();
	}
	public boolean isRequestedSessionIdValid (){
		return r.isRequestedSessionIdValid();
	}
	public void setParameter(String param, String value){
		table.put(param, value);
	}
	public void setAttribute(String name, Object value){};
	public Enumeration getAttributeNames() { return r.getAttributeNames(); };
	public HttpSession getSession() { return r.getSession(); };
	public boolean isRequestedSessionIdFromURL(){return r.isRequestedSessionIdFromURL(); };

}